New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Streaming

Finalize streaming session

POST
/api/v1/streaming/{session_id}/finalize

Collect all streamed audio into a complete WAV and return as base64.

Waits for generation to complete, concatenates all chunks, stores the result as the last generation result, and removes the session. Call this after the audio stream finishes to get the full audio.

Path Parameters

session_id*Session Id

Response Body

Successful Response

application/json
  1. response
success*Success

Whether generation completed successfully

status*Status

Human-readable status message

audio_base64?|

Base64-encoded audio output (WAV format)

error_code?|

Machine-readable failure code when success is false

error_detail?|

Extra detail for the failure code

Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/streaming/string/finalize'
Example Response
{  "success": true,  "status": "Generated successfully",  "audio_base64": "UklGRi4AAABXQVZFZm10IBAAAA...",  "error_code": "language_unsupported",  "error_detail": "string"}